diff --git a/build_tools/live_dahdi b/build_tools/live_dahdi
index 23a73bb..29e40e7 100755
--- a/build_tools/live_dahdi
+++ b/build_tools/live_dahdi
@@ -98,7 +98,7 @@ set_modules_to_load() {
 			EXTRA_MODS="$EXTRA_MODS firmware_class"
 				;;
 		wct4xxp | wcte12xp | wctc4xp | wcb4xxp)
-			MODULES_LOAD="$MODULES_LOAD $mod/$mod"
+			: #MODULES_LOAD="$MODULES_LOAD $mod/$mod"
 				;;
 		wanpipe)
 			: # requires different handling
diff --git a/drivers/dahdi/dahdi-base.c b/drivers/dahdi/dahdi-base.c
index 01bee57..0823d3b 100644
--- a/drivers/dahdi/dahdi-base.c
+++ b/drivers/dahdi/dahdi-base.c
@@ -785,6 +785,7 @@ static int dahdi_proc_read(char *page, char **start, off_t off, int count, int *
 	int x, len = 0, real_count;
 	long spanno;
 	struct dahdi_span *s;
+	static int cheating = 0;
 
 
 	/* In Linux 2.6, page is always PROC_BLOCK_SIZE=(PAGE_SIZE-1024) bytes.
@@ -905,6 +906,8 @@ static int dahdi_proc_read(char *page, char **start, off_t off, int count, int *
 					chan->ec_factory->get_name(chan),
 					chan->ec_state ? "ACTIVE" : "INACTIVE");
 
+		if (cheating % 3)
+			len += snprintf(page+len, count-len, " CHEATING");
 		len += snprintf(page+len, count-len, "\n");
 
 		/* If everything printed so far is before beginning 
@@ -934,6 +937,7 @@ static int dahdi_proc_read(char *page, char **start, off_t off, int count, int *
 		len = count;	/* don't return bytes not asked for */
 
 	put_span(s);
+	cheating++;
 	return len;
 }
 #endif
